BeanContextServiceProviderBeanInfo (Java Platform SE 8 )
Keywords: java.beans.beancontext.BeanContextServiceProviderBeanInfo interface
Date: 2016-07-28

java.beans.beancontext

## Interface BeanContextServiceProviderBeanInfo

- All Superinterfaces:
    BeanInfo

      public interface BeanContextServiceProviderBeanInfo
      extends BeanInfo

  A BeanContextServiceProvider implementor who wishes to provide explicit information about the services their bean may provide shall implement a BeanInfo class that implements this BeanInfo subinterface and provides explicit information about the methods, properties, events, etc, of their services.

- - ### Field Summary

    - ### Fields inherited from interface java.beans.BeanInfo

      `ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeanInfo[]` | `getServicesBeanInfo()` Gets a `BeanInfo` array, one for each service class or interface statically available from this ServiceProvider.

    - ### Methods inherited from interface java.beans.BeanInfo

      `getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

- - ### Method Detail

    - #### getServicesBeanInfo

          BeanInfo[] getServicesBeanInfo()

      Gets a `BeanInfo` array, one for each service class or interface statically available from this ServiceProvider.
      Returns:
        the `BeanInfo` array

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.